Bug 253230 - www/mattermost-webapp www/mattermost-server: Update to 5.32.1
Summary: www/mattermost-webapp www/mattermost-server: Update to 5.32.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL: https://docs.mattermost.com/administr...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-03 19:54 UTC by yds
Modified: 2021-03-13 01:08 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (loic.blot)


Attachments
Update to 5.31.0 (11.62 KB, patch)
2021-02-03 19:54 UTC, yds
no flags Details | Diff
patch to update to 5.32.1 (25.41 KB, patch)
2021-02-26 16:40 UTC, Steve Wills
swills: maintainer-approval? (loic.blot)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yds 2021-02-03 19:54:00 UTC
Created attachment 222138 [details]
Update to 5.31.0

Update to the latest Extended Support Release
Comment 1 Steve Wills freebsd_committer 2021-02-26 16:40:48 UTC
Created attachment 222850 [details]
patch to update to 5.32.1

Here's an updated patch for 5.32.1. I've tested it and it seems to work fine. Note this version needs a newer pgsql (10.x or newer) than the previous version required. Since 10.x is the default now I don't think a pkg-message or UPDATING entry is required, it's just folks like me who didn't update who might hit it.
Comment 2 yds 2021-02-26 16:58:00 UTC
(In reply to Steve Wills from comment #1)
`post-install` target nicely done! :)
Comment 3 loic.blot 2021-03-01 16:58:23 UTC
Hello,
do you want to take the ownership at the same time ?
I just looked at your PR it sounds very fine. I'm not using FreeBSD since some time for Mattermost

Thanks
Comment 4 Steve Wills freebsd_committer 2021-03-01 17:11:52 UTC
(In reply to loic.blot from comment #3)
Yeah, I can take over maintainer-ship if you like.
Comment 5 loic.blot 2021-03-03 09:55:36 UTC
yeah steve, please, you maintain it since few months now, go ahead please :)
Thanks !
Comment 6 commit-hook freebsd_committer 2021-03-13 01:05:29 UTC
A commit references this bug:

Author: swills
Date: Sat Mar 13 01:04:47 UTC 2021
New revision: 568224
URL: https://svnweb.freebsd.org/changeset/ports/568224

Log:
  www/mattermost-webapp www/mattermost-server: Update to 5.32.1

  PR:		253230
  Reported by:	yds <yds@Necessitu.de>
  Approved by:	loic.blot@unix-experience.fr

Changes:
  head/www/mattermost-server/Makefile
  head/www/mattermost-server/distinfo
  head/www/mattermost-server/files/mattermostd.in
  head/www/mattermost-server/pkg-plist
  head/www/mattermost-webapp/Makefile
  head/www/mattermost-webapp/distinfo
  head/www/mattermost-webapp/pkg-plist